### File

`packages/eui/packages/components-next/src/lib/shared/eui-expand-content/eui-expand-content.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-expand-content`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-expand-content.component.html`

### Index

###### Methods
onToggle
###### Inputs
collapseLabel expandLabel isCollapsed
###### Outputs
collapsed
###### HostBindings
class

### Constructor

`constructor()`

### Inputs

collapseLabel
Default value : `''`

expandLabel
Default value : `''`

isCollapsed
Default value : `false`

### Outputs

collapsed
Type : `EventEmitter<boolean>`

### HostBindings

class

### Methods

onToggle
`onToggle()`
Returns : `void`

# result-matching ""

# No results matching ""